Log4j 1.2.8

## org.apache.log4j.performance
Class ConcatVsArray

    java.lang.Object
      |
      +--org.apache.log4j.performance.ConcatVsArray

public class ConcatVsArray
extends Object

Measure difference in performance of string concatenation versus creating an anonymous string array.

You should be able to see that anonymous string array construction is significatnly faster than string concatenation. The difference increases proportionally with the length of the strings to be concatanated.

Author:
  Ceki Gülcü

Constructor Summary
`ConcatVsArray()`

Method Summary
`static void` `main(String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConcatVsArray

    public ConcatVsArray()

Method Detail

### main

    public static void main(String[] args)

Log4j 1.2.8

Copyright 2000-2002 Apache Software Foundation.